Index: src/backend/port/win32/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/port/win32/Makefile,v
retrieving revision 1.5
diff -c -r1.5 Makefile
*** src/backend/port/win32/Makefile	24 Jun 2004 21:02:42 -0000	1.5
--- src/backend/port/win32/Makefile	23 Aug 2004 19:09:44 -0000
***************
*** 12,18 ****
  top_builddir = ../../../..
  include $(top_builddir)/src/Makefile.global

! OBJS = sema.o shmem.o timer.o socket.o signal.o security.o

  all: SUBSYS.o

--- 12,18 ----
  top_builddir = ../../../..
  include $(top_builddir)/src/Makefile.global

! OBJS = sema.o shmem.o timer.o socket.o signal.o security.o error.o

  all: SUBSYS.o

Index: src/backend/port/win32/shmem.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/port/win32/shmem.c,v
retrieving revision 1.5
diff -c -r1.5 shmem.c
*** src/backend/port/win32/shmem.c	19 Apr 2004 17:42:58 -0000	1.5
--- src/backend/port/win32/shmem.c	23 Aug 2004 18:40:29 -0000
***************
*** 40,46 ****
  	if (lpmem == NULL)
  	{
  		lpmem = (void *) -1;
! 		errno = GetLastError();
  	}

  	return lpmem;
--- 40,46 ----
  	if (lpmem == NULL)
  	{
  		lpmem = (void *) -1;
! 		_dosmaperr(GetLastError());
  	}

  	return lpmem;
***************
*** 123,128 ****
--- 123,129 ----
  	else if (!hmap)
  	{
  		/* Unable to get shared memory */
+ 		_dosmaperr(GetLastError());
  		return -1;
  	}

Index: src/backend/postmaster/syslogger.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/postmaster/syslogger.c,v
retrieving revision 1.5
diff -c -r1.5 syslogger.c
*** src/backend/postmaster/syslogger.c	9 Aug 2004 20:28:48 -0000	1.5
--- src/backend/postmaster/syslogger.c	23 Aug 2004 18:41:09 -0000
***************
*** 706,711 ****
--- 706,712 ----
  			if (error == ERROR_HANDLE_EOF ||
  				error == ERROR_BROKEN_PIPE)
  				break;
+ 			_dosmaperr(error);
  			ereport(LOG,
  					(errcode_for_file_access(),
  					 errmsg("could not read from logger pipe: %m")));
Index: src/include/port/win32.h
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/include/port/win32.h,v
retrieving revision 1.27
diff -c -r1.27 win32.h
*** src/include/port/win32.h	23 Jul 2004 01:58:36 -0000	1.27
--- src/include/port/win32.h	23 Aug 2004 19:38:21 -0000
***************
*** 222,224 ****
--- 222,231 ----
  #define ECONNREFUSED WSAECONNREFUSED
  #define EBADFD WSAENOTSOCK
  #define EOPNOTSUPP WSAEOPNOTSUPP
+
+
+ /*
+  * In backend/port/win32/error.c
+  */
+ void _dosmaperr(unsigned long);

